//
//  Shader.fsh
//  ios
//
//  Created by Adam Berger on 1/28/13.
//  Copyright (c) 2013 Auxbrain, Inc. All rights reserved.
//

varying lowp vec2 frag_uv1;
varying lowp float v_fog;

uniform sampler2D texture;

void main()
{
    lowp vec3 fogColor = vec3(1.0, 0.92, 0.8)*1.1;
    mediump vec4 result = texture2D(texture, frag_uv1);
    gl_FragColor = result;
    
    gl_FragColor.xyz = gl_FragColor.xyz * v_fog + fogColor * (1.0 - v_fog);
}
