//
//  Shader.fsh
//  ios
//
//  Created by Adam Berger on 1/28/13.
//  Copyright (c) 2013 Auxbrain, Inc. All rights reserved.
//

uniform lowp float alpha;

varying lowp float v_fog;

void main()
{
    lowp vec3 fogColor = vec3(1.0, 0.92, 0.8)*1.1;
    gl_FragColor = vec4(0,0,0,alpha);
    gl_FragColor.xyz = gl_FragColor.xyz * v_fog + fogColor * (1.0 - v_fog);
    gl_FragColor.w = alpha;
}
