//
//  Shader.vsh
//  ios
//
//  Created by Kevin Pazirandeh on 1/28/13.
//  Copyright (c) 2013 Auxbrain, Inc. All rights reserved.
//

attribute vec4 position;
attribute vec4 color;

varying vec4 v_color;

uniform mat4 mvpMatrix;
uniform lowp vec4 m_color;


void main()
{
    gl_Position = mvpMatrix * position;
    v_color = color*m_color;

}
