//
//  Shader.fsh
//  ios
//
//  Created by Adam Berger on 1/28/13.
//  Copyright (c) 2013 Auxbrain, Inc. All rights reserved.
//

varying lowp vec2 frag_uv1;
varying lowp vec2 frag_uv2;
varying mediump float v_light;
varying lowp float v_fog;

uniform sampler2D texture;
uniform sampler2D lightmap;


void main()
{
//    mediump vec4 unlit = texture2D(unlit_texture, frag_uv1);
    mediump vec4 color = texture2D(texture, frag_uv1);
    mediump vec4 lm = texture2D(lightmap, frag_uv2);
    gl_FragColor.xyz = color.xyz * lm.xyz*(3.85*v_light + 0.15);
 
    ADD_FOG(v_fog, STANDARD_FOG_COLOR);
}
